#!/usr/bin/env bash
# commands/group/show.sh

function cmd::group::show::on_load() {
  flag::define --name value "Group name" required label:name
}

function cmd::group::show::run() {
  flag::parse "$@" || return 1
  local name; name=$(flag::value --name)
  [[ -z "$name" ]] && log::error "Missing required flag: --name" && return 1
  group::require_exists "$name" || return 1
  cmd::group::_show_impl "$name"
}
